Welcome

Welcome to Rosoft CD Extractor Help

    • Who is Rosoft CD Extractor for?
    • Quick Start guide
    • Introduction to the application
    • Application Interface Guide
    • Menu Explanations
    • How To Use Rosoft CD Extractor
    • FAQ
    • Glossary
    • End User License Agreement (EULA)
    • How to Register
    • Adware (Only non licensed editions)

    Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
    Email: support@RosoftEngineering.com
    Homepage: http://www.RosoftEngineering.com/
    Affiliate site: http://www.rosoft.nu/


About Adware

  • What Is Adware?

    Adware is a program that displays ads to the user. The ads can be pop-up screens so called interstitial ads, ordinary banners within the program, ads in the active browser windows frame as the ads Web3000 where displaying and of any other type of ads displayed to for the user. The adware programs are generally two programs, one that does some thing useful and one that displays the ads.

  • Why Use Adware?

    The key for the users that they can use the programs free-of-charge and the key to. The developer is to get paid for all the free programs. For example last year we made more than twice the money of the adware than on the registrations. Not that the registration rates where low in any kind more the fact that every user who tried the adware/shareware programs from Rosoft Engineering generated money even though they got the program for free. Unfortunately the ad revenue has gone down the last year.

    Adware developers and we the software developers have to keep a balance between fair revenue and not showing to much ads. To do what Web3000 did wasn't that good, at the end the bombarded the users with ads forcing many to uninstall immediately and that gave us a very bad feedback. 180Solutions model is far better. They have no spyware included and the ad looks like the rest of the pop-up ads you see when you are browsing.

  • How To Uninstall the Adware

    Generally you uninstall the adware from the Control Panel. In some cases like with Web3000 you need to uninstall all programs that came with Web3000. With programs like n-CASE from 180Solutions you can uninstall the adware only or uninstall a file called msbb.exe. The program that came with the adware may however stop working when you do so.

  • Adware Verses Spyware

    Adware should not be mistaken as spyware. A spyware program is a program that gathers personal information of how you serf. A program that gathers information on how you serf but don't connect the information to any personal data is not a spyware. In this case the part that gathers the information can't see who is surfing where and when. The can only see how many are visiting certain sites and what type of sites. The way 180Solution gathers the information is by connecting the data to a number that is unique to every user. No personal data is connected to this number. Some ads shown may however ask you for information. That could be from advertisers that are using the network that are displaying the ads for you. If you don't like spyware you simply don't reply to these ads, just ignore them.

  • Rosoft Limited Editions

    The limited program comes with an adware program. An adware program is a program that displays ads on your PC. At the moment I have a contract with 180Solution that supports me with a program called n-CASE that I ship with my limited programs

    It is the adware program that makes it possible for you to try the limited edition of Rosoft CD Extractor for as many as 30 trials. My goal is to let the limited editions be unlimited in use as long as you have the adware installed. Unfortunately the Internet Ad Market has been low the last year and many adware companies have gone under including my former partner Web3000. I lost about US$5,000 on this bankruptcy. With 180Solutions things are begging to be normal again.

  • A Major Income Source

    The income from the adware is as much as from the registrations and some times even more. Last year I made more than $40,000 on the adware. I think the adware is perfect for small software manufactures as Rosoft Engineering. A good thing with adware is that Rosoft Engineering gets paid while you users are able to use the programs free-of-charge as long as the adware is installed.

    An adware program doesn't necessarily have to be a spyware program. The program I now include with my limited editions is no spyware. However the adware program may pop-up ads with questions but as long as you don't answer any of these no information is gathered. The only information that is gathered by 180Solutions is a unique developer id and my developer id. This is used to track the number of ads shown on your computer. For more information about 180Solutions privacy look here.

[Home]


Unistall n-CASE

How to uninstall n-CASE

    There are four ways to uninstall n-CASE from our computer.

    • Upgrade to the full version of Rosoft Audio Tools, Lame Edition.
    • Delete the file called msbb.exe that is stored in the same folder as your Rosoft executables.
    • Uninstall the program Interstitial Ad Delivery by n-CASE from your Control Panel.
    • Uninstall the adware program that installed msbb.exe from your Control Panel. Generally Rosoft CD Extractor, Limited Edition or Rosoft Audio Tools, Limited Edition


Uninstall Web3000

Uninstall of Web3000

    There are two ways to get rid of Web3000.

    • Uninstall all Web3000 partner program(s).

    • Register Rosoft Audio Tools and get all my programs without any adware. Though, if you have programs from other manufactures than Rosoft and which are using Web3000 as adware you have to uninstall these programs to.

    Rosoft programs is available in a registered version named Rosoft Audio Tools, Lame Edition without any adware. See our download page. The pop-up screens in your browser is the adware that comes with any of Rosoft Engineerings adware programs. It's very easy to remove the adware Web3000. You simply remove the programs that are using Web3000. Go to your control panel, start the program Add/Remove Programs, select the program you want to uninstall, then press the Install/Uninstall button. If no other programs are using Web3000, then Web3000 should be removed. If not try to uninstall Web3000 the same way. This will fail but it will tell you which program(s) to uninstall before Web3000 is uninstalled.

    NOTE: If you have removed any thing manually from the program(s) that uses Web3000 you must reinstall the program(s) again before you can uninstall the program(s) correctly.


CD-ROM

CD-ROM/CD-RW/DVD

  • Most CD-ROM/CD-RW/DVD now days supports Compact Disc Digital Audio (CDDA). There are some very old CD-ROM that doesn't support CDDA and some new ones. But the ones that don't support CDDA are very rare. The reason some driver doesn't support CDDA is that the will not support piracy copying of audio CD's. One CD-ROM manufacture has tried to add functions that will make CDDA extraction hard. I read in a magazine that one manufacture had added functions that added noise that only where heard when you copied a CD. But I later read that this function made it impossible to read the CD-ROM.

  • I wouldn't recommend you to use any of Sony's CD-ROM drives. Many of my users have had problems extracting files from these and they have tried a many different CD ripper programs. Sony is also one of the record companies that are gaining more and more monopoly in the music business. As a musician I don't like this.

[Home]


ASPI Driver

  • The Advanced SCSI Programming Interface (ASPI) driver is the driver all CD Rippers us to access the CD-ROM/CD-RW/DVD drives when they read Compact Disc Digital Audio (CDDA). If you are using Windows 95/98/ME you need to have one installed. If you are using Windows NT4/2000/XP you don't need one installed but if you have one installed it will be used. If there is no ASPI driver installed and you are using Windows NT4/2000/XP the Generic ASPI Driver that came with the operating system will be used. Most CD rippers doesn't come with an ASPI driver.

  • To write an ASPI driver is a very big thing. You have to take every other hardware in consideration such as SCSI Hard Drives, SCSI CD-ROM/CD-RW. If you distribute an ASPI driver that affects other programs than the one you are distributing you might get into troubles. That's why we have decided not di write one our selvs. If you install a CD recorder program on these Window versions the ASPI driver is usually overridden.

  • When you install a CD recorder or so called CD burner program the install file often overrides the ASPI driver with a new one that the one you have installed on your machine. Many CD-RW comes with a program called Easy CD Creator. Some times if you install another CD recorder program you will have to reinstall Easy CD Creator to get the previous ASPI driver reinstalled. I have to do this every the time I install an new CD recorder program on my PC. The ASPI driver that comes with the edition of Easy CD Creator that is specially made for my CD-RW is the only one that seam to have a working ASPI driver.

  • I have to ASPI drivers available for download but only for Windows 95 and Windows NT these are not made by us they where recomended by SwiftSoft, a third party developer for the software I use to write my programs.

  • We have tried an ASPI driver at Neros ftp site and the URL ftp://ftp.nero.com/wnaspi32.dll to be working well with Windows XP and Plextor SCSI Drives. In fact it is the best driver we have tested for Plextor drives.

[Home]


Introduciton

Introducing Rosoft CD Extractor

    Rosoft Engineering proudly introduces the latest release of Rosoft CD Extractor, Lame Edition. This program has evolved a lot since the very first release of Rosoft CD Extractor. More than two years has passed since the very first version of the program was released back in September 1999. The most important updates is the support for mp3 encoders and possibility to extract Compact Disc Digital Audio (CDDA) to mp3 files. In 2001 we sold the program with a Fraunhofer MP3 Encoder but due to the huge patent fee we no longer sell the Fraunhofer MP3 Encoder. But this works as front end updates for the DLL file that came with the Fraunhofer Editions. This edition, the Lame Edition supports the mp3 format whit help of the file lame_enc.dll. The file Lame_enc.dll is a freeware mp3 encoder that can be downloaded through the URL http://www.RosoftEngineering.com/cgi/lameenc.cgi or at our download page. The program is very easy to use once you got the hang of it. Generally you only have to do four steps to record tracks. Enter the CD you want to extract files from. Download the track names from FreeDB. Select the track you want to record and press the double record button, the one with do red dots. Set the General Options if needed and make sure you have a valid Directory selected.

    Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
    Email: support@RosoftEngineering.com
    Homepage: http://www.RosoftEngineering.com/
    Affiliate site: http://www.rosoft.nu/


Who is Rosoft CD Extractor for?

    Rosoft CD Extractor is a CD ripper program you use when you want to extract audio tracks from audio CD's. The program uses the Compact Disc Digital Audio (CDDA) format to extract the audio tracks. Use this program if you want to:

    • Convert your audio CD's into mp3 tracks on a CDR.

    • Copy your audio CD's into wave files.

    • Put your CD collection as mp3 files on your PC at work.

    • Get information about an Audio CD or a CDR copy of an original Audio CD.

    • Play audio CDs at half speed without changing pitch.
      Every musician who transcribes music or writes down the lyrics of the songs will love this function. By this feature you can find out how a fast guitar player plays the tricky parts

    • Play audio CDs with different pitch
      Play the audio CD's with different speed that the original. Make the voice sound as Donald Duck by increasing the pitch. Make a woman's voice sound as a man by decreasing the pitch. Every musicians who practice to audio CD's will love this function to since you don't have to retune your instrument or if you are a vocalist you can sing to the tracks when you have a cold and can't reach the high notes.

    • Play audio CD's with and add equalizer and volume to the sound.

    • Make your own Audio CD's with different artists.

    NOTE !

    To create mp3 files you need to have the file lame_enc.dll installed in your Windows Folder.

    [Home]


Quick Start

Quick start information for Rosoft CD Extractor

  • Install Rosoft Audio Tools or Rosoft CD Extractor. If you don't have Rosoft CD Extractor download the program from our download page.
  • Restart the computer.
  • Start the program from your Start Menu. See the Start\Programs\Rosoft Audio Tools. Press CD Extractor.
  • If you get a message that says that the program doesn't find lame_enc.dll. Click the text that says Download lame_enc.dll here .
  • Set the Output Format.
  • Set the General Options.
  • Set the FreeDB Options.
  • If you intend to use mp3 go here.
  • See the section Windows 2000/XP and the Registry.

[Home]


How To Use

How To Use Rosoft CD Extractor

    Two possible ways of extracting files

      Extract selected files

      You can select the tracks you want to extract and then press one button and all selected files will be extracted. This way is the most common and easiest way to extract files with Rosoft CD Extractor.

    • Select the files you want to extract by pressing down the Shift Key and at the same time press the select button on the mouse, the left mouse button on a right handed mouse. To unselect a track, move the mouse to the tack you want to unselect then press the Shift Key and at the same time press the select button on the mouse.
    • To select all tracks in one command. Press down the Ctrl Key and at the same time press the select button on the mouse.
    • To unselect all tracks you first select all tracks then chose Invert Selection from the Input Menu.
    • To extract the selected tracks press button with two red dots.
    • In stead of using the mouse you can always use the menus or fast keys.
    • To Extract one track at a time
      You can extract one track at a time if you'd rather like that. This is useful when you are creating CDs with your favorite mixed music. If you only want to extract one track from each CD this way of extracting the tracks is recommended.
    • Select a track by moving the mouse to the wanted track and then press the select button on the mouse.
    • Press the record button, the button with one red dot on. NOTE: To use these options you should select the Output Destination.

      Extract one track at a time

    • Make sure you have a valid Output Destination select in the General Options form.
    • Select the track you'd like to extract. Place the mouse cursor on the track you'd like to select then press the select button on the mouse.
    • Press the Record button, the button with one dot on. Note: When you press this button you are not prompted the General Options.

    Play Tracks

      You can play tracks with Rosoft CD Extractor even if you don't have a cable between your CD-ROM/CD-RW/DVD and your sound card. However you do need a sound card. The advantage of playing tracks from an Audio CD this way is that you use most of the time use a better Digital Analog (DA) converter. The DA Converter that comes with the standard CD-ROM/CD-RW/DVD isn't generally that good. If you have a high quality sound card it is highly recommended to play CDs with a program that reads CDDA and use the sound card for DA converting. But if you are using low quality speakers or low quality head phones you probably don't here the difference at all.

      How to play tracks

      • Select the track you want to play and press the play button. The play button is the one with an arrow that points to the right as on an ordinary tape recorder or CD player.
      • If you want to continue playing the next track after the first is finished you can press the repeat button. That's the button with the circular arrow on. When repeat is selected you will see the text Repeat in the display. To unselect Repeat just press the repeat button again.

      Use filters while playing tracks

        NOTE: These options can't be used when you extract tracks. Extraction is always done without any filter.

        The filters include in Rosoft CD Extractor are implemented as software filters, that is, you don't need to have a Digital Sound Processor (DSP) installed on your sound board. The filters are inside the program and every calculation is made before the digital audio data is send to the sound board. The filters installed are:

      • Volume
        This filter only increase and decrease the volume.

      • Equalizer
        A filter you use to set how high each frequency should be. The lower frequencies are at the left and the higher frequencies are at the right. As a normal equalizer on your home stereo.

      • Half Speed
        This filter is a special type of filter that many musicians like. When you use this filter you play the tracks in half speed without changing the pitch shift (key). This filter is perfect to transcribe fast played music and for lyrics. As a musician my self I use this filter a lot when I transcribe fast played guitar solos and write down lyrics. The Half Speed can't be used at the used at the same time as Pitch.

      • Pitch
        This function changes the pitch (key) of the track you play. Think of this function as if you played a tape recorder or a record player at a faster or lower speed. This filter is also useful for musicians. It is perfect if you practice to a track and you don't want to re tune your instrument. The Pitch can't be used at the used at the same time as Half Speed.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/


Interface Guide

Rosoft CD Extractor Interface Guide

    I'm sure that most people agree if I say that on eof the most important thing of a program is it's interface. Not that it has to be flashy but the interface should be designed so the program is easy to learn and makes every thing as one, two, three. Without the feedback from you users it is impossible to keep on the improvements on the interface. Rosoft Engineering appreciates if you send your comment on the interface to support@RosoftEngineering.com. In some cases I even awarded the comments. We have tried to develop an interface that most people are familiar with at the same time we want to have a nice look on the program. I send my thanks to you guys who have helped me with the interface. I specially thank Arvid Björn, Stockholm, Sweden.

    I have divided the interface into four parts:

    [Buttons], [Track List], [Display], [Menus]

    Home

    Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
    Email: support@RosoftEngineering.com
    Homepage: http://www.RosoftEngineering.com/
    Affiliate site: http://www.rosoft.nu/


Buttons

    There are two types of buttons in Rosoft CD Extractor, the audio buttons buttons and the buttons for normal Windows functions.

    Audio Buttons

      These are the buttons you use to record, play, stop, repeat, eject and step between tracks. The buttons are:

    • Play
      When this button is pressed the program starts playing the track that is highlighted in the Track List .

    • Record One Track
      When this button is pressed the program starts to record the track that is highlighted in the Track List .

    • Record Selected Tracks
      When you press this button the program starts to record the tracks that are selected in the Track List . The selected tracks are marked with [image].

    • Stop
      When this button is pressed the recording session or play session is stopped.

    • Next
      When you press this button the next track that is after the highlighted track is played.

    • Previous
      When you press this button the previous track that is after the highlighted track is played.

    • Eject
      When this button is pressed the CD is ejected from the CD device.

    • Repeat
      When you press this button you set or unset the repeat function for playing tracks. When repeat is selected the display shows a text [image] in the display. To unselect Repeat you just press this button again.

    General Buttons

    • This button confirms any changes and closes the windows.

    • This button rejects any changes and closes the windows.

    • This button opens this help file describing the opened windows.


Track List

  • Track
    This is the track number on the CD.

  • Selected
    If this field is marked with Yes it will be recorded when you record selected tracks from the input menu or when you press the record button with two red dots. If you press the record button with one red dot the track that is highlighted will be recorded.

  • Name
    This is a name set by this program or or given by the windows file cdplayer.ini. This file is a file most cd players and cd rippers use to store information about Audio CDs in.

  • Saved As
    This is the name the the extracted file was saved as. The file is placed in the directory given by the dialog General Options.

  • Start
    This is where the track starts on the CD. Note: First track often starts after 2 seconds. In the first bytes on an audio CD the Table Of Contents (TOC) is stored. If these bytes are unreadable the CD can't be extracted since the program can't read any information of where the tracks are stored.

  • Time
    This is the length of the track given in minutes and seconds. Only two digits so far. If the record is longer that 60 minutes the program only show the wrong position but the program is still able to extract the file.

  • Size
    The size of the track. If you record the file using Compact Disc Digital Audio (CDDA) this is the file size you will get if you extract the track to a wave file with the format Pulse Code Modulation (PCM) Audio - 44,100 kHz - 16 bit Stereo.


Display

Digital Sound Processing (DSP) Panel Equalizer

    A 12-band equalizer used when playing tracks.

    Note: None of the filters are used when extracting tracks they can only be used when playing.

  • Volume
    The output value of the track played.

  • Half Speed
    The Half Speed (Time Stretch) function is still under developing. Compared to other program and guitar multi effects time stretch function I must say that the time stretch is good enough. However whenever you stretch the time of a track without changing the key you always get some unwanted distortion. This is mainly because you also stretch every echo effect such as gated drums. Gated drums always sound strange when stretching audio. I have used two methods for the time stretch. Sequential Over Lapped and Add (SOLA) method and my own Overlap Derivative and Add Sine wave (ODAS) .

  • Pitch
    The pitch value. This function can be used if you want to decrease or increase the speed of the track. Note: The pitch is not used while recording. This function changes the frequency. 0 = original pitch, -50 = half pitch, 50 = double pitch.

Play mode

  • Repeating
    When repeating in showed, Rosoft CD Extractor plays the next track when the program has finished a track. Rosoft CD Extractor stops after the last track.

  • Track
    The track, which is played.

  • Time
    The position in the track, which is played. The time is given in minutes and seconds.

  • Buffer
    The buffer is an internal buffer use by Rosoft CD Extractor while playing. If the buffer gets full or empty you will probably have problems playing tracks. This can be because of the sound board or if you have a slow CD-ROM or a damage CD.

  • Encoder's running
    This field tells how many external encoders there are running. You should not stop the program until this field is zero, otherwise you will have undeleted temporary wave files in your destination directory .

  • Meters
    The meters shows the output volume written to your sound card

Record mode

  • Frames Read
    This is the number of frames the program has read.

  • Speed
    Shows the effective speed when reading CDDA information.
    Note: This is the number of frames written to the wave files. If you record using External Encoders this shown how much is written to the temporary file.

  • Progress
    The upper progress shown the percentage of the tracks that has been recording according to now many tracks you want to record. The lower progress shown the percentage of the file recording that has been recording.


Menus

Rosoft CD Extractor Menus

CD Menu

  • Edit Menu

  • Input Menu

  • Output Menu

  • Options Menu

  • Help Menu

  • Mouse Menu


CD Menu

  • Save
    Save information about the CD entered in the active CD-ROM device.

  • Load
    Read earlier saved information about the CD entered in the active CD-ROM device. The load and save function uses cdplayer.ini for storing track name, artist and title. This way Rosoft CD Extractor is compatible with cdplayer.ini and many other programs.

  • Exit
    Exit the program.


Edit Menu

  • Delete track name
    Delete the name on the track highlighted in the track list.

  • Delete stored track
    Delete the name of the stored track as well as the stored files. This function only works if the path in the dialog General Options is set to the same path as the path the file is stored in. See the dialog General Options.

  • Get data from FreeDB
    This function connects to the Internet and download information about the CD you have entered in the active CD-ROM device. The information read is, track names, artist and title. To be able to get data from FreeDB you must set the options in the dialog FreeDB Options.

  • Invert Selection
    This function unselect all tracks that are selected and select the tracks who not are selected.

  • Select/Unselect Track
    This function inverts the selection for the active row. For example if track 3 is the active track and select from track 3 is marked as selected, track 3 becomes unselected.

  • Select All
    This function selects all tracks as selected.

  • Reset Equalizer
    Reset the equalizer. The meters are all set to zero level. The sound is unchanged.


Input Menu

  • Play
    Play the track selected in the track list.

  • Stop
    Stop the track played..

  • Next track
    Move to the next track in the track list. If you are playing a track the program moves to the next track and starts to play that track instead. This function works for every track except the last track.

  • Previous track
    Move to the previous track in the track list. If you are playing a track the program moves to the previous track and starts to play that track instead. This function works for every track except the first track.

  • Eject
    Eject the CD in the active CD-ROM device. Note: This function does not work on every CD-ROM device.

  • Record
    Record the highlighted track in the Track List. The format used for saing the trackis set by the Output Menu. Rosoft CD Extractor also displays the output format below the Audio Buttons. This function only work if the selected track name is non-empty. If you have chosen CODEC or External MP3 Encoder the settings in these dialogs must be correct. See the dialogs CODEC Options and External MP3 Encoder for more information.

  • Record Selected
    Record all tracks where column select is marked with [image] in the Track List. This function is only available if the player is stopped. This function only works if the track names are non-empty. This function calls record for every track in the list sees function Record above.


Output Menu

  • About mp3 Encoders
    Due to the huge license fee Fraunhofer is demanding for selling mp3 encoders and decoders we hasn't add any mp3 encoders to the program. However we can add support for external mp3 encoders such as Lame Encoder and Blade MP3 Encoder.

  • MP3
    Tells the program to generate mp3 files. If you have the free-limited-software-encoder installed you can only use it for a trial period of 30 days. To solve this problem uninstall the program Rosoft MP3 Encoder, Limited Edition. You can only use this function if you have the file lame_enc.dll in your Windows folder. You can download lame_enc.dll at the URL http://www.RosoftEngineering.com/cgi/lameenc.cgi.

  • CODEC
    This option tells the program to use CODEC's when you record or play a track. To be able to use this option you must have at least one working CODEC installed on your PC.

  • External Encoder
    Use an external encoder for creating wave files. Rosoft CD Extractor creates a temporary wave file with the same name as the track name pluss .wav at the if the file doesn't end with .wav. The wave format needed is depending on what wave format you external encoder needs. In generally you need CD Format (PCM, 44.100 kHz, 16 Bit, and Stereo, 172 kbit/sec). See the dialog Wave Format.

  • Wave
    When this format is selected the files are stored as wave files. The files are stored using Pulse Code Modulation (PCM) model as the Compact Disc Digital Audio (CDDA) format the, generally CD Quality, PCM, 44.100 kHz, 16 Bit, and Stereo, 172 kbit/sec.


Options

Rosoft CD Extractor Options

The different options

  • General Options

  • FreeDB Options

  • MP3 Options

  • CODEC Options

  • External Encoders

  • Text Font

  • Hints On


Help Menu

  • About
    Opens the About Dialog. From this dialog you can move direct to our homepage or open your default mail tool and you can send emails to support@RosoftEngineering.com.

  • Commands
    Opens the help page for the input functions see the Input Menu.

  • Index
    Starts the Welcome page of this file see the Welcome page.

  • FAQ
    Opens the page Frequently Asked Questions (FAQ) far this help file.

  • Register
    By pressing this menu item you will be forwarded to the registration page at ShareIt or RegNow depending on from where you downloaded the program. See more information about why you should Register.


Menu button in the mouse

Use the menu button on the mouse

    It is strange how advanced PC users don't know of the power of the second menu button. That is, the right button on a left handed mouse. This button is called the Menu Button. Every well designed Windows 95/98/ME/NT4/2000/XP program has the menus available in the menu button on the mouse. And of course Rosoft CD Extractor is no exception to this rule. If you place the mouse over the track list and press the menu button. The same menu as the Edit Menu will pup-up.

[Home]


Font

Fonts and Colors

    Use this dialog when you want to set the color, font or style for the text fields in Rosoft CD Extractor.

  • Font Face
    Is the name on the font you want to use. Below are some examples of different font face:

    Times New Roman
    Courier
    Courier New
    Arial
    MS Sans Serif

  • Font Style

    This is regular style.
    This is Italic style.
    This is Bold style.
    This is Bold Italic style.

  • Size

    Size 8
    Size 10
    Size 12
    Size 14.

[Home]


MP3 Encoders

Lame Encoder

BladeEnc

Rosoft MP3 Encoder


BladeEnc

    BladeEnc is one of the first freeware mp3 encoder I found on the Internet and it has been available for a couple of years now. The first version wasn't that good but over the years the encoder has evolved very much. But that's what's expected since it support GNU and LGPL.

    You can find more information about at BladeEnc's homepage. You can download BladeEnc.dll at our download reroute script http://www.RosoftEngineering.com/cgi/bladeenc.cgi or try the URL http://www2.arnes.si/~mmilut/BEnc-0942-Win-i586-dll.zip. The URL may change form time to time and that's why we have the reroute script. We only have to update the script to get the download right.

[Home]


Rosoft MP3 Encoder, Licensed Edition

    This was a program that we sold last year, 2001 from June to December 31. Those of you who under this period registered Rosoft MP3 Encoder, Licensed Edition or Rosoft Audio Tools, Licensed Edition will be able to use the Fraunhofer Backend MP3 Encoder along with Rosoft CD Extractor and Rosoft Lame Encoder. You must have one of the editions installed, Rosoft Audio Tools, Licensed Edition or Rosoft MP3 Encoder, Licensed Edition. The backend file that does the mp3 encoder is named rsfhgencr.dll and should be found in your Windows Folder (%WinDir%). In fact you only need the file rsfhgencr.dll installed in your Windows Folder before you install Rosoft CD Extractor, Licensed Edition or Rosoft Audio Tools, Lame Edition.

    Because of huge the license fee Fraunhofer is charging that resulted in an extra cost of $10 for our customers we have found that it is better to rely on support for the freeware encoders LameEnc and BladeEnc. We recomend you to use LameEnc if you don't already have Rosoft MP3 Encoder, Licensed Edition or Rosoft Audio Tools, Licensed Edition.


The LAME Project

    Following the great history of GNU naming, LAME originally stood for Lame Ain't an MP3 Encoder(LAME) started life as a GPL'd patch against the dist10 ISO demonstration source, and thus was incapable of producing an mp3 stream or even being compiled by itself. But in May 2000, the last remnants of the ISO source code were replaced, and now LAME is the source code for a fully GPL'd MP3 encoder, with speed and quality to rival all commercial competitors.

    LAME is an educational tool to be used for learning about MP3 encoding. The goal of the LAME project is to use the open source model to improve the psycho acoustics, noise shaping and speed of MP3. LAME is not for everyone - it is distributed as source code only and requires the ability to use a C compiler. However,there are some places you can get Lame Encoder as a dll to be used with other programs.

    I have set up a reroute script that will link you to the latest version of Lame Encoder If this link doesn't work please email me at mp3@RosoftEngineering.com. Every time Lame updates the dll they change the name on the download file. Therefor I have to update the reroute download script every time Lame updates the DLL. The URL for Lames reroute download script is http://www.RosoftEngineering.com/cgi/lameenc.cgi .

    You can find more information about lame at http://www.sulaco.org/mp3/ or one of the followng URLs below or press the reroute script http://www.RosoftEngineering.com/cgi/lamehome.cgi

    URLs

    • http://www.sulaco.org/mp3/
    • http://www.mp3dev.org/mp3/
    • http://lame.sourceforge.net/

[Home]


General Options

General Options for Rosoft CD Extractor

    This is the form you are using when you want to set the options that affect all extract and play functions.

    Filters to use when you play tracks

    • Equalizer
      Play with equalizer.

    • Volume
      Play with volume.

    • Pitch
      Play with pitch shift.

    • Time Stretch
      Slow down to half speed without pitch shift.

    Where to save the recorded tracks

    • Always save on exit
      Rosoft CD Extractor saves the options when you exit the program.

    • Ask if save on exit
      Rosoft CD Extractor asks if you want to save the options when you exit the program.

    • Directory to save wave files in
      The directory the recorded files ends up in.

    How to save the recorded tracks

    • Add artist to file name
      Add artist to file name you store when you record.

    • Add title to file name
      Add title to file name you store when you record.

    • Add number to file name
      Add number to file name you store when you record.

    • In Folder
      If one of or both check boxes is marked it means that you save the recorded the files in sub directories. For example if both In Folder are checked it means that the program creates the file in a subdirectory as <Artist>\<Title>\<filename>. The subdirectory is created in the default directory (see Directory to save wave files in).

    • Remove first sec
      When this option is on then program start reading at start position plus one sec. If this option is not checked the program starts reading at the position given by the track list

    • Remove last sec
      When this option is on then program stop reading at the length minus one sec. If this option is not checked the program stop reading at the position given by the track list

    Options related to Compact Disc Digital Audio (CDDA) extraction.

    • Device Type
      The device driver used when ripping tracks.

    • Normal Copy
      The program reads the data from CD, then writes the data to the file. Some drives have problems to find the position where we must continue with reading, the allowed tolerantly is +/- 2 sec! If you have such a drive then you should not use this mode.

    • Burst Copy
      In this mode we try to write to the file while we read from the CD so we have a continued data stream and the drive must not search the position again.

    • Jitter Correction
      In this mode we try to synchronize the sectors between different reads from the device. This is useful if your drive can not find the positions correctly as described above (AKA Jitter Correction).

    General buttons

    • Buttons Save
      Save options and closes the dialog.

    • Cancel
      Close the dialog without saving any data.

    • Help
      pen this help file.

[Home]


FreeDB

FreeDB, an Internet
    database for free CD information

Unlike CDDB FreeDB is a totally free-of-charge database. The last I heard from CDDB was that we developer should have to pay US$ 5,000 minimum annual fee to be our users log on to the CDDB site. This is why most programs now support FreeDB in stead. We developers use the same parameters as when we call CDDB. What we actually have done is to set the host to FreeDB in stead of CDDB .

Fields

  • Genre
    The music genre used when searching for information.

  • Database
    The Internet Database Rosoft CD Extractor uses to download information from.

  • Username
    Your name part of the email address, that is, what comes before the @.

  • User Host
    This is your host. Every thing after the @ in your email address.

  • Application
    • The First Field
      The name Rosoft CD Extractor without spaces. FreeDB uses these field to keep track on how many user Rosoft CD Extractor has.

    • The Second Field
      This is the release number of Rosoft CD Extractor. For example: 2.2.7. This field is read only meaning you can not change the value of the field.

  • Protocol
    This is the protocol level used when communicating with FreeDB. This field is also a read only field.

Buttons

  • Get Category
    Get a list of all Genre at the host specified by the field User Host. The result ends up in the drop down list for the Fields Category.

  • Get Database
    Get a list of all FreeDB Internet databases available. The result ends up in the drop down list for the field Database.

  • Save
    Save the options and exit the dialog.

  • Cancel
    Quit without saving the options.

  • Help
    Show this help page.

[Home]


MP3 Options

  • In Format
    This is the format on the input file to the mp3 encoder. It is used so you can check what Out Format you can use for a specific In Format. An audio CD has "44100 Hz - Stereo - 172 kbps". For Rosoft CD Extractor this field should be set to "44100 Hz - Stereo - 172 kbps" to ensure that you select a valid Out Format.

  • Out Format
    This is the format of the encoded file. The first value is the sample rate, the second is the channel mode (stereo/mono) and the last is the bit rate. High bit rate gives high quality and large files. Low bit rate gives lower quality and smaller files.

  • Encoder
    Chose from BladeEnc and LameEnc. We recomend you to use LameEnc.

  • Quality Mode
    The option sets the quality of the encoder. High Quality gives very good sound but takes more time to encode. Normal giver a fairly good sound and at normal speed. Fast Encoder encodes the file fast but gives a lower quality of the sound.

  • Private bit on
    This controls the so called value of the private bit. Select this to indicate that this track is the original. Unselect this control if it is a copy.

  • CRC bit on
    If this control is selected the encoder generates CRC check sums.

  • Copyright bit on and Original bit on
    Controls the original/copy bit in the MPEG frame header. Select this control to indicate that this tack is the original.

  • VBR on
    Select this control if you want to use Variable Bit Rate (VBR).

  • VBR Quality
    Sets the quality of the VBR mode. 0 is the as Constant Bit Rate (CBR). Value 1 is the highest VBR quality while 10 is the lowest VBR Quality.

  • OK
    Press this button to save the options you have entered in the Registry.

  • Cancel
    Press cancel to close the form without saving the data in the Registry.

  • Help
    Press help to open this help page.

Options that are valid if you have Rosoft MP3 Encoder installed

    Rosoft Engineering no longer sells this encoder due to the huge patent fees MP3-Licensing is charging. A minimum annual fee of US$ 15,000 and then US$ 5 per shipped Fraunhofer MP3 Encoder plug in and US$ 7.5 for every shipped MP3Pro encoder. This is the reason we no only support encoders such as Lame. The Lame encoder is an encoder that produces mp3 files and can be downloaded from Lame's official download page here.

  • Padding Mode
    Certain multimedia and architectures (namely, Microsoft Netshow) have a hard time dealing with blocks of variable size. If you want to transport MPEG Layer-3 content over this system, setting Padding Mode to Never or always will make the encoder generate equally sized frames. Only ISO is guaranteed to write ISO-compliant bit streams with exact bit rates. This mode is only valid if you have the file rsfhgencr.dll in your Windows Folder. This file came with Rosoft MP3 Encoder, Licensed Edition which no longer is sold. However the new releases of Rosoft CD Extractor supports the older editions.

    • Allow Intensity
      Usually you should allow the encoder to use intensity stereo coding, especially at the lower bit rates. However, in special cases, it might be useful to disallow intensity stereo.

    • Allow Midsize
      Usually you should allow the encoder to use mid/side stereo coding, especially at the lower bit rates. However, in special cases, it might be useful to disallow mid/side stereo. This flag is not supported yet.

    • Allow Downmix
      Usually you should allow the encoder to Downmix stereo input to mono output. However in special cases, it might be useful to disallow Downmix.

[Home]


External Encoders

    Use External Encoders from Rosoft CD Extractor

    With the support of encoders that executes as console programs you have a great potentiality to use many more encoders.

    Arguments for external encoders

      [x3enc.exe] , [Plugger+] , [Lame]

    • Fields Name
      This is a field name for that you can store information about the specific setting. For example if you use Pulse Code Modulation (PCM), 44.1 kHz 16 bit stereo and 172 kbit/sec, you probably save this setting as CD Quality.

    • Program
      This is the name and the full path to the encoder programs you will use when recording with external encoders. The external encoder must take a .wav file in and a .mp3 file as output. The .wav files must exist. Typical syntax for calling an external encoder like x3enc.exe is: C:\Program Files\Xing\Xing MP3 Encoder\x3enc.exe -v100 -o -v

    • Arguments
      Here you set the arguments to the external program given in the fields Program. You can please in file and out file in whatever order you like. $1 is input file and $2 is out file. If $1 and $2 is not found the it is the same as writing: C:\Program Files\Xing\Xing MP3 Encoder\x3enc.exe $1 $2 If $1 is not found the it is the same as writing: C:\Program Files\Xing\Xing MP3 Encoder\x3enc.exe $2 To set the output file last you set $1 last in the . For example -v100 $1

        Note: The for how to set the arguments is depending on the specific external encoder. See the documentation for every specific external encoder for more details.

    • Encoder Window in Background
      The encoder will run in background. When an encoder is started in background mode Rosoft CD Extractor will increase the field Encoder's Running.

    • Minimized
      Run the external encoder in a minimized window. This way it is easier stop the encoder if some things go wrong.

    • Normal
      Opens a new Window and starts encoder in the new window. This way you see how the encoder proceeds.

  • Buttons

      New
      Clear all fields.

    • Save
      Save the options. The options are saved as the name given by the field name.

    • Browse
      Browse for a program. Use this button when you want to set the external encoder program.

    • OK
      Save the options and close the dialog.

    • Cancel
      Close the dialog without saving. If the External MP3 Encoder dialog was opened after pressing record all. You will cancel all recording if you press the cancel button.

    • Help
      Open this help file.

[Home]


Plugger+

Plugger Arguments
=================Plugger+ v0.4==================
The MP3 Encoder
Alberto Demichelis 1998
http://members.xoom.com/mp3nkoder/
================================================
Arguments
<options> infile outfile
example
-y -p 1 -e 1 -b 256 infile.wav outfile.mp3
command line options :
-h          help message
-b<bitrate> Bitrate default 128 k
            supported bit rates:
            32kbs  40kbs  48kbs  56kbs  64kbs
            80kbs  96kbs  112kbs 128kbs 160kbs
            192kbs 224kbs 256kbs 320kbs
-dm         Downmix to mono
-z          High priority thread on/off,default off
-c          CRC flag on/off,default off
-y          copyright flag on/off,default off
-o          original flag on/off,default off
-x          wait after encoding
[Home]


Lame

Lame Arguments
The information below is for LAME version 3.54 (www.sulaco.org/mp3) GPSYCHO: GPL psycho-acoustic model version 0.75.
Arguments
[options] <infile> [outfile]
OPTIONS :
-m mode                (s)tereo, (j)oint, (f)orce or (m)ono  (default j)
                       force = force ms_stereo on all frames. Faster
-b <bitrate>           set the bitrate, default 128kbps
-s sfreq               sampling frequency of input file(kHz) - default 44.1
--resample sfreq       sampling frequency of output file(kHz)- default=input sfreq
--mp3input             input file is a MP3 file
--voice                experimental voice mode
-v                     use variable bitrate (VBR)
-V n                   quality setting for VBR.
                       default n=4
                       0=high quality,bigger files.
                       9=smaller files
-b <bitrate>           specify minimum allowed bitrate, default 32kbs
-B <bitrate>           specify maximum allowed bitrate, default 256kbs
-t                     disable Xing VBR informational tag
--nohist               disable VBR histogram display
-h                     use (maybe) quality improvements
-f                     fast mode (low quality)
-k                     disable sfb=21 cutoff
-d                     allow channels to have different block types
--athonly              only use the ATH for masking
-r                     input is raw pcm
-x                     force byte-swapping of input
-a                     downmix from stereo to mono file for mono encoding
-e emp                 de-emphasis n/5/c  (obsolete)
-p                     error protection. adds 16bit checksum to every frame
                       (the checksum is computed correctly)
-c                     mark as copyright
-o                     mark as non-original
-S                     don't print progress report, VBR histograms
Specifying any of the following options will add an ID3 tag
--tt <title>            title of song (max 30 chars)
--ta <artist>           artist who did the song (max 30 chars)
--tl <album>            album where it came from (max 30 chars)
--ty <year>             year in which the song/album was made (max 4 chars)
--tc <comment>          additional info (max 30 chars)
MPEG1 sample rates(kHz): 32 44.1 48
bit rates(kbs): 32 48 56 64 80 96 112 128 160 192 224 256 320
MPEG2 sample rates(kHz): 16 22.05 24
bit rates(kbs): 8 16 24 32 40 48 56 64 80 96 112 128 144 160
[Home]


Xing MP3 Encoder

Xing Arguments
X3ENC.EXE is one of the fastest mp3 encoders available.
Note: For some odd reason you can not include any spaces in the path or the file name when you use Xings external encoder.
X3ENC.EXE is available from Xings homepage at http://www.xingtech.com/mp3/encoder/
Xings mp3 encoder is one of the fastest on the market. It also supports Variable Bit Rate (VBR) which makes the file size smaller without reducing the quality any more than normal mp3 encoding. Xings x3enc.exe is a console program which can be used from several ripper program including Rosoft CD Extractor.
If you use VBR at the highest quality you get a very good result, almost as good as with Fraunhofers l3enc.
If you encode with x3enc from Rosoft CD Extractor at the highest VBR quality (-v100) the time on a Pentium III at 500 MHz should be at least near the ripping time. This is the result we have got when we have tested x3enc.exe along with Rosoft CD Extractor
Usage of argument when encoding using x3enc.exe
[$1] [$2] [options]
options:
-h           print a short help summary (this list)
-p           print out the supported encode profiles
-f <file>    read the command line arguments from a file
-b <bitrate> CBR bitrate to encode with
-v <scale>   VBR scale to encode with
-l           do not encode with high frequency
-r           let engine choose best sample rate
-o           turn off original bit
-c           turn off copyright bit
-d           downmix to mono
-s           force simple stereo mode when possible
-q           do not display progress
Automatically choose the highest quality CBR bitrate
X3enc.exe can automatically choose the highest quality CBR bitrate for your source file. In this case do not specify any arguments at all.
Encode Profiles Table
Source file       Choose Best  Target       Command   Target    MPEG       High
Sample Rate (kHz) Sample Rate  Bitrate      Options   Channels  Algorithm  Freq
16                   No       16kbit/s  -b16000     Mono     2      N/A
16, 22.05, 24        No       24kbit/s  -b24000     Mono     2      N/A
16, 22.05, 24        No       32kbit/s  -b32000     Mono     2      N/A
32, 44.10, 48        No       48kbit/s  -b48000     Mono     1      N/A
32, 44.10, 48        No       56kbit/s  -b56000     Mono     1      N/A
32, 44.10, 48        No       64kbit/s  -b64000     Mono     1      N/A
32, 44.10, 48        No       80kbit/s  -b80000     Mono     1      Mono only
32, 44.10, 48        No       96kbit/s  -b96000     Stereo   1      Mono only
32, 44.10, 48        No      112kbit/s  -b112000    Stereo   1      Mono only
32, 44.10, 48        No      128kbit/s  -b128000    Stereo   1      Mono/Stereo
32, 44.10, 48        No      160kbit/s  -b160000    Stereo   1      Mono/Stereo
32, 44.10, 48        No      192kbit/s  -b192000    Stereo   1      Mono/Stereo
32, 44.10, 48        No      224kbit/s  -b224000    Stereo   1      Mono/Stereo
32, 44.10, 48        No      256kbit/s  -b256000    Stereo   1      Mono/Stereo
32, 44.10, 48        No      320kbit/s  -b320000    Stereo   1      Mono/Stereo
Source file       Choose Best  Target    Command    Target   MPEG       High
Sample Rate (kHz) Sample Rate  Bitrate   Options    Channels Algorithm  Freq
16                   Yes       16kbit/s  -b16000 -r  Mono     2      N/A
16, 22.05, 24        Yes       24kbit/s  -b24000 -r  Mono     2      N/A
16, 22.05, 24        Yes       32kbit/s  -b32000 -r  Mono     2      N/A
16, 22.05, 24        Yes       48kbit/s  -b48000 -r  Mono     2      N/A
16, 22.05, 24        Yes       56kbit/s  -b56000 -r  Mono     2      N/A
16, 22.05, 24        Yes       64kbit/s  -b64000 -r  Mono     2      N/A
16, 22.05, 24        Yes       80kbit/s  -b80000 -r  Stereo   2      Mono only
16, 22.05, 24        Yes       96kbit/s  -b96000 -r  Stereo   2      Mono only
16, 22.05, 24        Yes      112kbit/s  -b112000 -r Stereo   2      Mono only
16, 22.05, 24        Yes      128kbit/s  -b128000 -r Stereo   2      Mono/Stereo
16, 22.05, 24        Yes      160kbit/s  -b160000 -r Stereo   2      Mono/Stereo
32, 44.10, 48        Yes      192kbit/s  -b192000 -r Stereo   1      Mono/Stereo
32, 44.10, 48        Yes      224kbit/s  -b224000 -r Stereo   1      Mono/Stereo
32, 44.10, 48        Yes      256kbit/s  -b256000 -r Stereo   1      Mono/Stereo
32, 44.10, 48        Yes      320kbit/s  -b320000 -r Stereo   1      Mono/Stereo
Source file       Choose Best VBR*    Command  Target    MPEG        High
Sample Rate (kHz) Sample Rate Level  Option   Channels  Algorithm    Freq
32, 44.10, 48        No          1    -v1       Stereo     1      N/A
32, 44.10, 48        No          30   -v30      Stereo     1      Mono only
32, 44.10, 48        No          50   -v50      Stereo     1      Mono/Stereo
32, 44.10, 48        No          75   -v75      Stereo     1      Mono/Stereo
32, 44.10, 48        No         100   -v100     Stereo     1      Mono/Stereo
Source file       Choose Best  VBR*   Command   Target    MPEG         High Freq
Sample Rate (kHz) Sample Rate  Level  Option    Channels  Algorithm
32, 44.10, 48        Yes         1    -v1   -r  Stereo     1      N/A
32, 44.10, 48        Yes         30   -v30  -r  Stereo     1      Mono only
32, 44.10, 48        Yes         50   -v50  -r  Stereo     1      Mono/Stereo
32, 44.10, 48        Yes         75   -v75  -r  Stereo     1      Mono/Stereo
32, 44.10, 48        Yes        100   -v100 -r  Stereo     1      Mono/Stereo
*VBR levels correspond to approximately (+ or - 10%) CBR levels
1   = 96kbits/s
30  = 112kbits/s
50  = 128kbits/s (normal)
75  = 160kbits/s
100 = 192kbits/s
Note: Any Stereo mode may be downmixed to Mono with the -d switch.
[Home]


    ODAS

    The method Overlap Derivative and Add Sin wave (ODAS) is a method I have developed for time stretching. It's designed to be used in real time, It can be used whenever you play a wave track. It is used for digital stored audio files. The file has to be stored using Pulse Code Modulation (PCM) format. The sample levels for each value must be linear; that is, the steps between the values must be same for small and large values. The method recalculate frames of the digital information. Every frame is played twice. To be able to do this we get a major problem: The frames first and last sample doesn't have the same value, there's one chance on 65565 that they are the same. This will result in a strong click at the position where the first frames last vale and second frames first value are. To remove this problem we simply raise the second played frames first value to the value of the first played frames last value. The rest of the values in the last frame are then moved in a sine wave form. So the last value of the last played frames sample is the same. Therefor the last played frames sample and next frames first value is as in the original digital information. The frequency of the added sine wave must be less than the lowest frequency in frequency range of the digital audio file. Since most speakers don't go lower that 40 Hz the frequency can be set at 40 Hz as in Rosoft CD Extractor. To make the method complete we check where the derivative is as smallest and where the value is as close as possible to the first samples value. The derivative at the found position must match the derivative at the first position in the original frame. If the derivative at the first position in the original frame is negative and the found derivative is positive it will result in a peak. From that frames position we add a sine wave not necessarily 40 Hz (a little bit more than 40 Hz) so the new stretched frame will be first frame size times two minus the maximum overlap size. This will also result in a time stretch that is close to and not exact half the speed of the original digital audio signal. I have decided not to release the code for this. It is not a hard method to implement. Just simple high school mathematics. It is easy to find the derivative of a sine wave. Just check the differences between signal S(n) and signal S(n+1). The difference is the derivative. If S(n) > S(n+1) then the derivative is negative else it is positive.

    [HOME]


    SOLA

    Synchronized Overlap and Add (SOLA) Method. This is a method for stretching wave files, that is, slow down the track without changing the pitch shift (key). See more info about S.O.L.A on the page http://http://www.cs.ust.hk/~rren/sound_tech/TSM_Paper_Long.htm.

[HOME]


Piracy

  • NOTE: You are not entitled to make copies of Audio CD's other than for personal use and backup. You are entitled to make your own collection CDs or make a copy of the CD and use it your own. To copy a friends CD and make your own CDR copy is not legal. To copy a CD and give it to your friend is not either legal. When you by an Audio CD you by the right to listen to the music not to rights distribute the music to others.

[Home]


Register

Why Register?

    You register all four audio programs from Rosoft Engineering

    If you register you will get Rosoft Audio Recorder, Rosoft CD Extractor, Rosoft Lame Encoder and Rosoft Media Player in one install file. All four registered programs has no limitations. The install file uninstall the adware from Web3000 and n-CASE. That is if you haven't changed any key in the Registry or removed any file for Web3000 or n-CASE. If you have problem removing the adware take a look at the Adware section of this help file.

    You can download every upgrade for Rosoft Audio Tools, Lame Edition 2.x.x.

    If you register Rosoft Audio Tools, Lame Edition you are free to download the latest releases of Rosoft Audio Tools, Lame Edition at our download page.

    Receive update emails

    You will receive an email for every upgrade or bug fix we release. You can unsubscribe from this mailing list at our homepage.

    Where can I register?

    You can register at ShareIt or RegNow. European citizen within the EU should register at RegNow to avoid paying VAT.

      [Home]


Windows 2000/XP and the Registry

  • If you are using Windows 2000 or Windows XP it is very important that you log in with the same rights as the Administrator when you install the program. The install program write and saves data to the Registry and a limited user or a guest some times can't do depending on the rights for the specific user.

  • If you for some reason have trouble with the Registry it's recommended that you first delete the entire key HKEY_CURRENT_USER\Software\Rosoft from your Registry then reinstall the the programs. If you have an older release than 2.2.4 you may also need to delete the entire key HKEY_LOCAL_MACHINE\Software\Rosoft. To delete a Registry Key you need to open RegEdit. At the left of your task menu you have a Start Button . Press the Start button and select Run from the menu. Then type regedit.exe in the field and press OK. In the left frame of the RegEdit window select the keys mentioned above and press the Delete Key. Make sure it is the keys above you are deleting. It could be crucial to delete the wrong key(s). Your entire system may crash if you delete the wrong keys. See the screen below for an example. Note : The program you see is from a Swedish version of Windows XP Pro

[Home]


Glossary

Glossary for Rosoft CD Extractor

ACM

An Audio Converter Module (ACM) is a module that converts audio format. Often mentioned along with CODEC. So called ACM CODEC. Windows Media Player uses ACM CODEC's to play audio files. If you for example use Rosoft Media Player to play files you must have an ACM CODEC installed to be able to play the files.

AD Converter

Analog Digital (AD) Converter is on of the main circuits on a sound card. It is this circuit that converts the audio signal into digital numbers. If you record music through the Line-In on your sound card this circuit is what makes the quality on the music you record. If you for example record with a high quality sound card, records an audio CD with a CD-R and play it in your stereo you will get a better sound than if you would use a AD converter of lower quality.

Adware

Adware is programs that are available free-of-charge as long as you use another program that displays advertisements. Adware is not the same as spyware. Adware programs like n-CASE from 180Solutions do not gather any personal information from the user and there for n-CASE is no spyware.

ASPI

Advanced SCSI Programming Interface (ASPI) is the interface programs use to communicate with SCSI devices. Since this is a standard interface many programs uses this interface to communicate with non-SCSI devices such as ATAPI CD-ROM's. To be able to extract an audio CD digitally you must have an ASPI driver installed on your PC.

If however the ASPI driver is failing your operating system may hang. If you use Windows NT472000/XP you may get a blue screen.

CDDA

Compact Disc Digital Audio (CDDA) is a standard format for audio CD's developed in the 70th by Philips. In the early 80th Sony and Philips decided that they should use the same format for audio CD's and that way it became the standard for audio CD's. If you want to extract audio CD's digitally without playing the CD the CD-ROM and your ASPI driver must be able to read CDDA.

CODEC

A COdec DECoder (CODEC) is generally a device driver for wave file, which are installed in the operating system. Every program that supports all installed wave formats can use this CODEC. For example you can use Fraunhofer's IIS Mpeg Layer 3 CODEC to encode and decode wave files and this way make them 10 to 12 times smaller.

Control

A Control is generally a button or any other graphic in a program that when you click it the program performs a certain type of action. Examples of Controls are buttons, menus and sliders.

DA Converter

The Digital Analog (DA) Converter is the circuit that converts the digital numbers into music. If you play files the DA converter is what makes the sound on the sound card. The better the converter the better the sound. If you compare a low quality DA converter such as the ones included on Sound Blaster cards with a high quality DA converter such as the ones included in M-Audio cards you will find a very big difference when you connect the PC to a stereo.

Driver

A driver is a program that acts as the interface between a program and the operating system. For example: To be able to play audio files you must have a driver installed for your sound card. The program that plays the file sends digital audio information to the driver. The driver then sends the information to the sound card. The drivers also send information back to the user program. For example: When you play an audio file the driver lets the program know when it should send information to the soundboard. The program can't just send the information to the sound card when it wants. The program must send the information when the buffers on the sound card have space for them. This way the audio data are synced so you get a steady stream of data and the sound are played in normal speed.

DSP

Digital Sound Processor (DSP) is an integrated circuit placed on the sound card that ads extra feature to the sound card. A DSP can include equalizer, phaser, echo and many other special effects. Some high quality sound card doesn't come with a DSP processor and with these cards installed you can not use the DSP functions in some programs.

EULA

End User License Agreement (EULA) is a document that describes the right to use the product. The document also describes what it is you are installing. By accepting the EULA you accept the install of all software described in the EULA. All programs that come with an adware program should include an EULA.

File Extension

File Extension is the three characters after the dot (.) that the file name ends with. This extension tells Windows how to access the file. For example a file that ends with .EXE or .exe is an executable program. A file that ends with .TXT or .txt is a text file that includes characters. Every byte in file is treated as a character
GNU

The Free Software Foundation

The Free Software Foundation (FSF) was formed allready in the middle of the eighties and have always been a cornerstone for the movement. Their site is filled with texts and essays explaining the ideas and moral aspects of free software. Heavy, but very worthwhile eye-opening reading. The site is a combined FSF and GNU site, which might be confusing at first. The GNU-project is FSF's attempt to provide a complete, free UNIX-like operating system and many of todays most important free programs have been developed as part of the GNU project.

MP3

I guess most people have heard about mp3. For those ho haven't I will try go get a short introduction. MP3 is a way to compress digital audio. Digital is impossible to compress if you want the uncompressed information to be unchained. There fore you must cheat a little bit when compressing digital audio. The only way is to split the audio signal into frames. For every frame you then must find the frequencies and their values. Many frequencies can be removed because you do not hear them. For example man can only hear two signals at the same time if the differences between them are less than 50 dB, that is if one signal is 90 dB every signal less than 40 dB can be removes since you never hears those signals. At lest a normal person doesn't hear them. There is only one type of songs where I have heard the difference and that is songs with slide or steal guitar. So if you are a trained musician and have good hearing and also have a really good soundboard, maybe you should be able to hear the difference. In mp3 files you simply save what frequencies, their values and how long the are.

MP3Pro

MP3Pro is Fraunhofer's update of mp3. MP3Pro uses two data streams to compress the audio data. One for the lower frequencies and one for the higher. This way you can compress the audio ore so you can use lower bit rates at better quality. The key to MP3Pro is the huge patent fees mp3-licensing are charging for the right to use the patented functions.

TOC

The Table Of Contents (TOC) is the first part on an Audio CD or an ordinary CD that tells how the information is stopped and what is stored on a CD. The TOC tells how long the tracks are, how many tracks there is and where the track is starting on an Audio CD so called CDDA.

WAVE

File format that Windows uses to play and record audio. To read or write to a wave file you generally write or read to the WaveIO functions in Windows API

Windows API

Windows APplication Interface (API) is a set of functions that programmers use to read and write information to Windows Operating System (OS).

WMA

Windows Media Audio (WMA) is Windows own file format for compressed audio. With the new WMA 7.1 you the quality has been improved very much. You should compare WMA 7.1 and later with the quality of MP3Pro. WMA 7.1 is way better that mp3 if you compare the quality for the same bit rates for MP3 and WMA

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/


CODEC

A COdec DECoder (CODEC) is generally a device driver for wave file, which are installed in the operating system. Every program that supports all installed wave formats can use this CODEC. For example you can use Fraunhofer IIS Mpeg Layer 3 CODEC to encode and decode wave files and this way make them 10 to 12 times smaller.


CODEC Options

With this dialog you decide what CODEC to use and what attributes to use for the specific CODEC. A CODEC is a driver like any other driver installed in you operating system except a CODEC is a driver audio file. A CODEC tells the operating system how to store audio files. Which DLL files you will use.

Fields Name
This is the name you save your options as for example CD Quality.

Format
This is the format for how you save your wave files. For example, Pulse Code Modulation (PCM), MP3, ADPCM.

Attributes
Here you can decide what attributes to use for the specific CODEC you have chosen. For example if you use Fraunhofer MP3 ACM CODEC you can set the attributes to 44.1 kHz 16 bit stereo and 128 kbit/sec.

Buttons Save As
Save the options as the name given in field name.

Remove
Remove the name given by field name. The attributes can be chosen again when you later wants to save another set of options.

OK
Set the chosen options and close the dialog. The options you have chosen will be used the next time you record a track. If for some reason the CODEC (driver) has been removed after you have saved the options or if you never have saved any options the recording will not work properly.

Cancel
Quit without saving the options.


End User License Agreement (EULA)

End User License Agreement (EULA) for Rosoft CD Extractor

There are three version of the EULA for Rosoft CD Extractor, one for the all editions and one for the shareware and adware editions.

All releases of Rosoft CD Extractor

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOUR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST EITHER THE ADWARE EDITION OR THE SHAREWARE EDITION OF ROSOFT CD EXTRACTOR.

The releases that contains the adware

The included adware comes from 180Solutions and is called n-CASE from.

The registered releases

All licensed or registered editions are for private use only. That is, each registration is for one user. If a company want to install the program on many machines you must register an order for every install. Rosoft doesn't guarantee that the program works if you run more than one install with the same Registration Key at a time.

You can read about 180Solutions private policy here.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/

[Home]


FAQ

Rosoft CD Extractor Frequently Asked Questions (FAQ)

Q: Might be good if I didn't get the "Blue Screen of Death" every time I ripped a track.
A: Your ASPI driver or the lack of an ASPI driver causes the blue screen. If you are using Windows NT4/2000/XP the only thing that causes a Blue Screen of Death" is a faulty driver. Rosoft CD Extractor doesn't come with any drivers.

Q: Doesn't create MP3 files...
A: Yes it doesn't yet. The program supports encoders like lame and bladeenc. You can download them from the Internet for free. See my homepage for more information. As soon as I can afford the annual license for an mp3-license there will be a Fraunhofer encoder in as a registered version.

Q: This is not Freeware.
A: The program is adware and it is free-of-charge via the Internet for end-users. Most download sites doesn't have an option for adware, only shareware, freeware and demo. Freeware is the option best suitable if no adware option exists.

Q: None of the encoders work properly.
A: As I have said it before the program only supports external encoders. If these don't work this program can't create mp3 files.

Q: I've used a lot of rippers and this one is the worst of them all! It's hard to read some of the fonts because they are dark and they have a dark background.
A: If you go to the menu Options and select Font you can enter the font you want. You can select bold font in a light color. For example bold lime.

Q: Where is the uninstaller and how do I get rid of Web3000?
A: As for all programs that support Windows 9x/ME/NT4/2000 there shall be an uninstaller included. This uninstaller shall always be assessable from the Control Panel using the program Add/Remove Programs. All my programs support this. To get rid of Web3000 you must uninstall all programs that uses Web3000 come with. If you want to uninstall a program open your Control Panel and start the program Add/Remove Programs, then select the program you want to uninstall and press the Uninstall button. If you don't know which program that are using Web3000 you can try to uninstall Web3000. This will fail but you will be told which programs to remove before Web3000 is uninstalled.

Q: Well, I tried build 4 and got the same result. When it is in the process of starting up (before the window comes up with the track list) I get the same error. It appears that it is looking for the CD in the wrong place. After I hit cancel twice, it finally loads and I can see the CD in the track list. I then quit the program and leave the CD in the drive. When I then go to run the program again, I get the same error.
A: The user replies: Success! I got it working. Here is how my system was configured when it wasn't working. C:\Win98 partition D:\Win2K partition (dual boot) E: ATAPI ZIP Drive F:\CDROM I then went in to disk administrator and reassigned the ZIP drive to be G: so that now the system looked like: C:\Win98 partition D:\Win2K partition (dual boot) F:\CDROM G:\ATAPI ZIP Drive With no E drive. I restarted the computer and ran the program. This time it worked without a problem. My guess is that something was just wrong with my configuration. My CDROM and ZIP drive are on the same IDE bus and the CDROM is master while the ZIP is slave. Because the CDROM was master it was probably expected to be listed before the ZIP and hence was causing the problems. After I moved the drive assignments around it was happy.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/


  • Welcome
  • Introducing Rosoft CD Extractor
    • Who is Rosoft CD Engineering for?
    • Quick Start
    • How To Use
  • Interface
    • Buttons
    • Tack List
    • Display
    • Menus
      • CD Menu
      • Edit Menu
      • Input Menu
      • Output Menu
      • Options Menu
      • Help Menu
      • Mouse Menu
    • Font
  • Options
    • General Options
    • FreeDB
    • MP3 Options
    • External Encoders
      • Plugger
      • Lame as a Consol Program
      • Xing MP3 Encoder
    • Time Stretch
      • ODAS
      • SOLA
  • Register
    • Why Register?
  • Hardware
    • ASPI Driver
    • CD-ROM/CD-RW/DVD
  • Windows 2000 and XP
    • Windows 2000/XP and the Registry
  • Adware
    • How to uninstall n-CASE
    • Uninstall of Web3000
  • Piracy
    • Audio CD's and Piracy


Welcome

Welcome to Rosoft CD Extractor Help

  • A Quick Start guide
  • Introduction to the application
  • Application Interface Guide
  • Menu Explanations
  • How To Use Rosoft CD Extractor
  • FAQ
  • Glossary
  • End User License Agreement (EULA)
  • How to Register
  • Adware (Only non licensed editions)

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/